

#-*- coding:UTF-8 -*-
# Copyright (C) 2003  Pedro Werneck
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#


NOT_FOUND = 'HTTP/1.1 404 Not Found\n'\
            'Date: %(time)s\n'\
            'Server: %(version)s\n'\
            'Connection: close\n'\
            'Content-Type: text/html; charset=iso-8859-1\n'\
            '\n'\
            '<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">\n'\
            '<HTML><HEAD>\n'\
            '<TITLE>404 Not Found</TITLE>\n'\
            '</HEAD><BODY>\n'\
            '<H1>Not Found</H1>\n'\
            'The requested URL %(url)s was not found on this server.<P>\n'\
            '</BODY></HTML>'

NOT_IMPLEMENTED = 'HTTP/1.1 501 Method Not Implemented\n'\
                  'Date: %(time)s\n'\
                  'Server: %(version)s\n'\
                  'Allow: %(methods)s\n'\
                  'Connection: close\n'\
                  'Content-Type: text/html; charset=iso-8859-1\n'\
                  '\n'\
                  '<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">\n'\
                  '<HTML><HEAD>\n'\
                  '<TITLE>501 Method Not Implemented</TITLE>\n'\
                  '</HEAD><BODY>\n'\
                  '<H1>Method Not Implemented</H1>\n'\
                  '%(method)s to %(url)s not supported.<P>\n'\
                  'Invalid method in request %(request)s<P>\n'\
                  '</BODY></HTML>'



MAP_ERROR = {404:NOT_FOUND,
             501:NOT_IMPLEMENTED}
