
#-*- coding:UTF-8 -*-
# Copyright (C) 2003  Pedro Werneck
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#


"""This package contains the base classes for the protocol, the strings used by different servers. This module contains factory functions used to merge strings into the protocol. Example:

To build a fake Foo server:

# import factory function
from Honey.Fakes.FGO import Foo
#build protocol
foo_proto = Foo()

Simple, uh ?

"""

import base_pop3


def QPopper():
    import qpopper
    base_pop3.strings = qpopper
    return type("QPopper", (base_pop3.FakePOP3,), {})


