#!/usr/bin/env python

import sys
#import gc
#gc.set_debug(gc.DEBUG_STATS | gc.DEBUG_UNCOLLECTABLE | gc.DEBUG_OBJECTS)
sys.path.insert(0, "..")

from Honey.Protocol import RawProtocol
from Honey.Server import TCPServer


class Echo(RawProtocol):
    def connectionEstablished(self):
        self.send("Client connected %(host)s:%(port)s" % self.attrs)
        
    def dataReceived(self, data):
        if not data.strip():
            self.close()
            return

        self.send(data)
        print self.addr, data

    def connectionLost(self):
        print "Client disconnected", self.addr


server = TCPServer()
server.bind(8001, Echo)
try:
    server.run()
except KeyboardInterrupt:
    server.stop()
    server.clean()
        
