#!/usr/bin/env python

import sys
sys.path.insert(0, "..")

from Honey.Server import TCPServer
from Honey.Fakes.SMTP import Sendmail

server = TCPServer()
smtp = Sendmail()


server.bind(2525, smtp)

try:
    server.run()
except KeyboardInterrupt:
    server.stop()
    server.clean()
