#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import sys
import os

from distutils.core import setup

if sys.version_info < (2.2):
    print >> sys.stderr, "You need at least Python 2.2 to use HoneyPython"

setup_args = {'name':'HoneyPython',
              'version':'0.0.2',
              'description':'A simple asynchronous framework for honeypots',
              'author':'Pedro Werneck',
              'author_email':'pedro.werneck@bol.com.br',
              'license':'GPL'      
              }

setup_args['packages'] = ['Honey',
                          'Honey.Fakes',
                          'Honey.Fakes.SMTP',
                          'Honey.Fakes.HTTP',
                          'Honey.Fakes.POP3']

#setup_args['scripts'] = ['bin/honeypy']


if __name__ == "__main__":
    setup(**setup_args)
